/*
 * Copyright (C) 2016 Jorge Ruesga
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

precision mediump float;

uniform sampler2D s_texture;

varying vec2 v_texcoord;
varying vec2 v_blurTexCoords[14];

void main()
{
    gl_FragColor = vec4(0.0);
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[ 0]) * 0.0044299121055113265;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[ 1]) * 0.00895781211794;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[ 2]) * 0.0215963866053;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[ 3]) * 0.0443683338718;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[ 4]) * 0.0776744219933;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[ 5]) * 0.115876621105;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[ 6]) * 0.147308056121;
    gl_FragColor += texture2D(s_texture, v_texcoord         ) * 0.159576912161;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[ 7]) * 0.147308056121;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[ 8]) * 0.115876621105;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[ 9]) * 0.0776744219933;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[10]) * 0.0443683338718;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[11]) * 0.0215963866053;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[12]) * 0.00895781211794;
    gl_FragColor += texture2D(s_texture, v_blurTexCoords[13]) * 0.0044299121055113265;
}
